

import java.sql.Time;

public class AreaDim extends DBEntity{
	private String 			customerkey;
	private String 			dbkey;
	private String 			area;
	private java.sql.Date 	datekey;
	private Time			timereported;
	private Double 			totalsize;
	private Double			percentfull;
	private Double 			projectedgrowth;
	private java.sql.Date 	dateloaded;
	private Time			timeloaded;
	
	public AreaDim(){}
	

    public String getCustomerKey() {
        String rtn ="";
    	if (customerkey != null)rtn=customerkey;
    	return rtn;
    }

    public void setCustomerKey(String customerkey) {
        this.customerkey = customerkey;
    }

    public String getDBKey() {
        String rtn ="";
    	if (dbkey != null)rtn=dbkey;
    	return rtn;

    }

    public void setDBKey(String dbkey) {
        this.dbkey = dbkey;
    }
    public String getArea() {
        String rtn ="";
    	if (area != null)rtn=area;
    	return rtn;
    }

    public void setArea(String area) {
        this.area = area;
    }
    
    public java.sql.Date getDateKey () {
       	return datekey;
    }
    public void setDateKey(java.sql.Date  datekey ) {
    	this.datekey = datekey ;
    }
    
    public void setDateKey(String  sdatekey ) {
     	this.datekey = java.sql.Date.valueOf(sdatekey) ;
    }
  
    public Time getTimeReported () {
     	return timereported;
    }

    public void setTimeReported(Time  timereported ) {
        this.timereported  = timereported ;
    }
    
    public void setTimeReported(String  sTimeReported ) {
        this.timereported  = Time.valueOf( sTimeReported.substring(0, 8)) ;
    }

    public Double getTotalSize() {
    	Double rtn =new Double(0.0);
    	if (totalsize != null)rtn=totalsize;
    	return rtn;

    }
    public void setTotalSize(Double totalsize) {
        this.totalsize = totalsize;
    }
    public void setTotalSize(String stotalsize) {
        this.totalsize = new Double(stotalsize);
    }
    
    public Double getPercentFull() {
    	Double rtn =new Double(0.0);
    	if (percentfull != null)rtn=percentfull;
    	return rtn;
    }

    public void setPercentFull(Double percentfull) {
        this.percentfull = percentfull;
    }
    public void setPercentFull(String spercentfull) {
        this.percentfull = new Double(spercentfull);
    }
    public Double getProjectedGrowth() {
    	Double rtn =new Double(0.0);
    	if (projectedgrowth != null)rtn=projectedgrowth;
    	return rtn;
   }

    public void setProjectedGrowth(Double projectedgrowth) {
        this.projectedgrowth = projectedgrowth;
    }
    public void setProjectedGrowth(String sprojectedgrowth) {
        this.projectedgrowth = new Double(sprojectedgrowth);
    }

    public java.sql.Date getDateLoaded () {
    	// Always return the current date
    	dateloaded = new java.sql.Date(System.currentTimeMillis());
    	return dateloaded;
    }

    public void setDateLoaded(java.sql.Date  dateloaded ) {

    	this.dateloaded  = dateloaded ;
    }

    public Time getTimeLoaded () {
    	timeloaded = new java.sql.Time(System.currentTimeMillis());
    	return timeloaded;
    }

    public void setTimeLoaded(Time  timeloaded ) {
        this.timeloaded  = timeloaded ;
    }
    
    public static AreaDim getDummyRecord(){
    	AreaDim dummy = new AreaDim();
    	dummy.customerkey="dummy1";
       	dummy.dbkey="dummy1";
       	dummy.area="area1"; 
       	dummy.datekey=new java.sql.Date(System.currentTimeMillis()); 
    	dummy.timereported= new java.sql.Time(System.currentTimeMillis());
    	dummy.totalsize=new Double(999.99);
    	dummy.percentfull=new Double(999.99);
    	dummy.projectedgrowth=new Double(999.99);  
    	dummy.dateloaded = new java.sql.Date(System.currentTimeMillis());         
    	dummy.timeloaded = new java.sql.Time(System.currentTimeMillis());
    	return dummy;
    }
    
	public static final String  AREADIM_CUSTOMER_KEY 	= "customerkey";
	public static final String  AREADIM_DB_KEY 			= "dbkey";
	public static final String  AREADIM_AREA			= "area" ; 
	public static final String  AREADIM_DB_DATE_KEY 	= "datekey";
	public static final String  AREADIM_TIME_REPORTED 	= "timereported" ; 
	public static final String  AREADIM_TOTAL_SIZE		= "totalsize" ;  
	public static final String  AREADIM_PERCENT_FULL 	= "percentfull"  ;        
	public static final String  AREADIM_PROJECTED_GROWTH = "projectedgrowth"  ;        
	public static final String  AREADIM_DATE_LOADED 	= "dateloaded";         
	public static final String  AREADIM_TIME_LOADED 	= "timeloaded";
	
	public static final String  AREADIM_INSERT_STRING	="INSERT INTO areadim " +
	"(customerkey,dbkey,area,datekey,timereported,totalsize,percentfull," +
	"projectedgrowth,dateloaded,timeloaded)"+
	" VALUES(?,?,?,?,?,?,?,?,?,?)";
	
}
